<?php
/*
Plugin Name: Load Javascript CSS files
Plugin URI: http://www.youngtechleads.com/
Description: Example on how to use various ways to load javascript and css once and only where you need it
Version: 0.1
Author: Young tech Leads
Author URI: http://www.youngtechleads.com/
*/


add_action('admin_menu', 'ytl_loadjs_add_page');

function ytl_loadjs_add_page() {
	$page_hook1 = add_options_page('Load JS CSS Example1', 'Load JS CSS Example1', 8, 'loadjsexample1', 'ytl_loadjs_options_page1');
	add_action( "admin_print_scripts-$page_hook1", 'ytl_loadjs_admin_head1' );
	
	$page_hook2 = add_options_page('Load JS CSS Example2', 'Load JS CSS Example2', 8, 'loadjsexample2', 'ytl_loadjs_options_page2');
	add_action( "admin_print_scripts-$page_hook2", 'ytl_loadjs_admin_head2' );
}

function ytl_loadjs_options_page1() {
	echo "<div class='wrap'>
	<h2>Load JS CSS Page1</h2>
	Only on this page you'll see style1 CSS and script1 JS
	</div>
	";
}

function ytl_loadjs_admin_head1() {
	$plugindir = get_settings('home').'/wp-content/plugins/'.dirname(plugin_basename(__FILE__));
	wp_enqueue_script('loadjs', $plugindir . '/js/script1.js');
	wp_enqueue_style('loadjs', $plugindir . '/css/style1.css');
}

function ytl_loadjs_options_page2() {
	echo "<div class='wrap'>
	<h2>Load JS CSS Page2</h2>
	Only on this page you'll see style2 CSS and script2 JS
	</div>
	";
}

function ytl_loadjs_admin_head2() {
	$plugindir = get_settings('home').'/wp-content/plugins/'.dirname(plugin_basename(__FILE__));
	wp_enqueue_script('loadjs', $plugindir . '/js/script2.js');
	wp_enqueue_style('loadjs', $plugindir . '/css/style2.css');
}














?>